<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!-- Generated 2-lug-2017 12.20.07 by Hibernate Tools 5.2.3.Final --><!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN" "http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping auto-import="true" default-access="property" default-cascade="none" default-lazy="true">
    <class catalog="SicuraSQL_Findomestic_Web" dynamic-insert="false" dynamic-update="false" mutable="true" name="sicura.entities.DistintaBanca" optimistic-lock="version" polymorphism="implicit" schema="dbo" select-before-update="false" table="DistintaBanca">
        <id name="id" type="java.lang.Integer">
            <column name="ID"/>
            <generator class="identity"/>
        </id>
        <property generated="never" lazy="false" name="iddistintaBanca" optimistic-lock="true" type="java.lang.Integer" unique="false">
            <column name="IDDistintaBanca"/>
        </property>
        <property generated="never" lazy="false" name="iddistintaFlussoInput" optimistic-lock="true" type="java.lang.Integer" unique="false">
            <column name="IDDistintaFlussoInput"/>
        </property>
        <property generated="never" lazy="false" name="insertReference" optimistic-lock="true" type="java.lang.Integer" unique="false">
            <column name="InsertReference"/>
        </property>
        <property generated="never" lazy="false" name="codiceSocietà" optimistic-lock="true" type="string" unique="false">
            <column length="3" name="CodiceSocietà"/>
        </property>
        <property generated="never" lazy="false" name="dataCreazione" optimistic-lock="true" type="timestamp" unique="false">
            <column length="23" name="DataCreazione"/>
        </property>
        <property generated="never" lazy="false" name="provenienzaR2" optimistic-lock="true" type="boolean" unique="false">
            <column name="ProvenienzaR2" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="dataEmissioneFlusso" optimistic-lock="true" type="timestamp" unique="false">
            <column length="23" name="DataEmissioneFlusso"/>
        </property>
        <property generated="never" lazy="false" name="tipologia" optimistic-lock="true" type="string" unique="false">
            <column length="20" name="Tipologia"/>
        </property>
        <property generated="never" lazy="false" name="tipologiaDbgrid" optimistic-lock="true" type="string" unique="false">
            <column length="20" name="TipologiaDBGRID"/>
        </property>
        <property generated="never" lazy="false" name="userIdcreazione" optimistic-lock="true" type="string" unique="false">
            <column length="10" name="UserIDCreazione"/>
        </property>
        <property generated="never" lazy="false" name="userIddelegatoFirma" optimistic-lock="true" type="string" unique="false">
            <column length="10" name="UserIDDelegatoFirma"/>
        </property>
        <property generated="never" lazy="false" name="denominazioneDelegatoFirma" optimistic-lock="true" type="string" unique="false">
            <column length="50" name="DenominazioneDelegatoFirma"/>
        </property>
        <property generated="never" lazy="false" name="codiceAbiOrdinante" optimistic-lock="true" type="string" unique="false">
            <column length="5" name="Codice_Abi_Ordinante"/>
        </property>
        <property generated="never" lazy="false" name="cabOrdinante" optimistic-lock="true" type="string" unique="false">
            <column length="5" name="Cab_Ordinante"/>
        </property>
        <property generated="never" lazy="false" name="contoOrdinante" optimistic-lock="true" type="string" unique="false">
            <column length="12" name="Conto_Ordinante"/>
        </property>
        <property generated="never" lazy="false" name="divisaContoOrdinante" optimistic-lock="true" type="string" unique="false">
            <column length="3" name="Divisa_Conto_Ordinante"/>
        </property>
        <property generated="never" lazy="false" name="coordinateIbanordinante" optimistic-lock="true" type="string" unique="false">
            <column length="42" name="CoordinateIBANordinante"/>
        </property>
        <property generated="never" lazy="false" name="codiceBicordinante" optimistic-lock="true" type="string" unique="false">
            <column length="11" name="CodiceBICordinante"/>
        </property>
        <property generated="never" lazy="false" name="descrizioneConto" optimistic-lock="true" type="string" unique="false">
            <column length="30" name="DescrizioneConto"/>
        </property>
        <property generated="never" lazy="false" name="dataValutaDestinatario" optimistic-lock="true" type="timestamp" unique="false">
            <column length="23" name="Data_Valuta_Destinatario"/>
        </property>
        <property generated="never" lazy="false" name="numeroDisposizioni" optimistic-lock="true" type="java.lang.Integer" unique="false">
            <column name="NumeroDisposizioni"/>
        </property>
        <property generated="never" lazy="false" name="importoDisposizioni" optimistic-lock="true" type="string" unique="false">
            <column length="50" name="ImportoDisposizioni"/>
        </property>
        <property generated="never" lazy="false" name="importoDisposizioniDecimal" optimistic-lock="true" type="big_decimal" unique="false">
            <column name="ImportoDisposizioniDecimal" precision="18" scale="3"/>
        </property>
        <property generated="never" lazy="false" name="divisaImporto" optimistic-lock="true" type="string" unique="false">
            <column length="3" name="Divisa_Importo"/>
        </property>
        <property generated="never" lazy="false" name="divisa" optimistic-lock="true" type="string" unique="false">
            <column length="3" name="Divisa"/>
        </property>
        <property generated="never" lazy="false" name="statoDistinta" optimistic-lock="true" type="string" unique="false">
            <column length="15" name="StatoDistinta"/>
        </property>
        <property generated="never" lazy="false" name="statoValidazione" optimistic-lock="true" type="string" unique="false">
            <column length="15" name="StatoValidazione"/>
        </property>
        <property generated="never" lazy="false" name="flagStampa" optimistic-lock="true" type="boolean" unique="false">
            <column name="FlagStampa" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="flagBir" optimistic-lock="true" type="boolean" unique="false">
            <column name="FlagBIR" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="trasferimentoPosizioneRid" optimistic-lock="true" type="string" unique="false">
            <column length="1" name="TrasferimentoPosizioneRID"/>
        </property>
        <property generated="never" lazy="false" name="lastSaved" optimistic-lock="true" type="binary" unique="false">
            <column name="LastSaved" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="contoPerCassa" optimistic-lock="true" type="boolean" unique="false">
            <column name="ContoPerCassa" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="flagGrandine" optimistic-lock="true" type="boolean" unique="false">
            <column name="FlagGrandine" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="flagNas" optimistic-lock="true" type="boolean" unique="false">
            <column name="FlagNas" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="flagDanni" optimistic-lock="true" type="boolean" unique="false">
            <column name="FlagDanni" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="pathFlussoPerFirmaDigitale" optimistic-lock="true" type="string" unique="false">
            <column length="200" name="PathFlussoPerFirmaDigitale"/>
        </property>
        <property generated="never" lazy="false" name="nomeSupportoFlussoPerFirmaDigitale" optimistic-lock="true" type="string" unique="false">
            <column length="20" name="NomeSupportoFlussoPerFirmaDigitale"/>
        </property>
        <property generated="never" lazy="false" name="serialNumberCertificatoFd" optimistic-lock="true" type="string" unique="false">
            <column length="50" name="SerialNumberCertificatoFD"/>
        </property>
        <property generated="never" lazy="false" name="hashCodeCertificatoFd" optimistic-lock="true" type="string" unique="false">
            <column length="100" name="HashCodeCertificatoFD"/>
        </property>
        <property generated="never" lazy="false" name="flagChiusuraPartitaSep" optimistic-lock="true" type="boolean" unique="false">
            <column name="FlagChiusuraPartitaSep" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="dataChiusuraPartitaSep" optimistic-lock="true" type="timestamp" unique="false">
            <column length="23" name="DataChiusuraPartitaSep"/>
        </property>
        <property generated="never" lazy="false" name="numDisposizioniPagatePartitaSep" optimistic-lock="true" type="string" unique="false">
            <column length="7" name="NumDisposizioniPagatePartitaSep"/>
        </property>
        <property generated="never" lazy="false" name="impDisposizioniPagatePartitaSep" optimistic-lock="true" type="string" unique="false">
            <column length="20" name="ImpDisposizioniPagatePartitaSep"/>
        </property>
        <property generated="never" lazy="false" name="numDisposizioniInsolutePartitaSep" optimistic-lock="true" type="string" unique="false">
            <column length="7" name="NumDisposizioniInsolutePartitaSep"/>
        </property>
        <property generated="never" lazy="false" name="impDisposizioniiInsolutePartitaSep" optimistic-lock="true" type="string" unique="false">
            <column length="20" name="ImpDisposizioniiInsolutePartitaSep"/>
        </property>
        <property generated="never" lazy="false" name="tpflusso" optimistic-lock="true" type="java.lang.Integer" unique="false">
            <column name="TPFlusso"/>
        </property>
        <property generated="never" lazy="false" name="prefissoFlusso" optimistic-lock="true" type="string" unique="false">
            <column name="PrefissoFlusso"/>
        </property>
        <property generated="never" lazy="false" name="requiresFirmatario" optimistic-lock="true" type="int" unique="false">
            <column name="RequiresFirmatario" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="tipoSequenzaRid" optimistic-lock="true" type="string" unique="false">
            <column length="4" name="TipoSequenzaRid"/>
        </property>
        <property generated="never" lazy="false" name="userIdfirmatario1" optimistic-lock="true" type="string" unique="false">
            <column length="10" name="UserIDFirmatario1"/>
        </property>
        <property generated="never" lazy="false" name="userIdfirmatario2" optimistic-lock="true" type="string" unique="false">
            <column length="10" name="UserIDFirmatario2"/>
        </property>
        <property generated="never" lazy="false" name="msgId" optimistic-lock="true" type="string" unique="false">
            <column length="35" name="MsgId"/>
        </property>
    </class>
</hibernate-mapping>
